//
//  PDFDownloadManager.swift
//  Sailassist
//
//  Created by Mamoru Sugita on 2023/11/13.
//

import Foundation

class PDFDownloadManager{
    static let main = PDFDownloadManager()
    
    ///URLからファイルをダウンロードする
    func downloadFile(urlString: String,_ savePath: URL) async -> Bool{
        guard let url = URL(string: urlString) else { return  false}
        do {
            let pdfData = try await URLSession.shared.data(from: url).0
            try pdfData.write(to: savePath, options: .atomic)
        }catch{
            return false
        }
        return true
    }
}
